<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activities.LoginActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="806dp"
        android:layout_height="1200dp"
        app:layout_constraintBottom_toTopOf="@+id/relativeLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.333"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0">

        <TextView
            android:id="@+id/textView3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/screen_title"
            android:textColor="#000000"
            android:textSize="35sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.054"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.032" />

        <ImageView
            android:id="@+id/third_step_profile_image"
            android:layout_width="93dp"
            android:layout_height="86dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.367"
            app:layout_constraintStart_toEndOf="@+id/textView3"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.014"
            tools:srcCompat="@tools:sample/avatars" />

        <TextView
            android:id="@+id/third_profile_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="#000000"
            android:textStyle="bold|italic"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.325"
            app:layout_constraintStart_toEndOf="@+id/third_step_profile_image"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.022" />


        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="750dp"
            android:layout_height="70dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.119">

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="STEP 1 INFO" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="STEP 2 Checkpoints" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:backgroundTint="@color/light_blue"
                android:text="STEP 3 Dimension" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="800dp"
            android:layout_height="1000dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="1.0">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="16dp"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/guide_lne"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Guidelines"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/textView7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/checkpoint_guide_lines"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHorizontal_bias="0.067"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/guide_lne"
                        app:layout_constraintVertical_bias="0.008" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="2dp"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/item_sample"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="Dimension"
                        android:textAlignment="center"
                        android:textColor="@color/black"
                        android:textStyle="bold" />


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="Unit"
                        android:textAlignment="center"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="Required"
                        android:textAlignment="center"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="Actual"
                        android:textAlignment="center"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="Difference"
                        android:textAlignment="center"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/item_dimensions_recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="130dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="10dp"
                    android:scrollbars="vertical"
                    android:fadeScrollbars="false"
                    android:fillViewport="true"
                    android:scrollbarFadeDuration="0"
                    android:scrollbarThumbVertical="@android:color/darker_gray"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="10dp">

                </androidx.recyclerview.widget.RecyclerView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="Dimension Images"
                    android:textAlignment="center"
                    android:textColor="@color/black"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:layout_margin="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="horizontal"
                    android:padding="2dp"
                    android:weightSum="1">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/imageRecyclerView"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_margin="5dp"
                        android:layout_weight="0.99"
                        android:orientation="horizontal" />

                    <ImageButton
                        android:id="@+id/image_picker"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:padding="8dp"
                        android:src="@drawable/image_picker" />

                    <ImageButton
                        android:id="@+id/delete_image"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:padding="8dp"
                        android:src="@drawable/ic_delete" />
                </LinearLayout>

                <!--                <LinearLayout-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:layout_margin="16dp"-->
                <!--                    android:orientation="horizontal">-->

                <!--                    <TextView-->
                <!--                        android:id="@+id/length"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:text="Length"-->
                <!--                        android:textColor="@color/black"-->
                <!--                        android:textStyle="bold"-->
                <!--                        android:layout_weight="1"/>-->


                <!--                    <EditText-->
                <!--                        android:id="@+id/required_length"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->
                <!--                    <EditText-->
                <!--                        android:id="@+id/actual_length"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->

                <!--                    <EditText-->
                <!--                        android:id="@+id/difference_length"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->
                <!--                </LinearLayout>-->

                <!--                <LinearLayout-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:layout_margin="16dp"-->
                <!--                    android:orientation="horizontal">-->

                <!--                    <TextView-->
                <!--                        android:id="@+id/width"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:text="Width"-->
                <!--                        android:textColor="@color/black"-->
                <!--                        android:textStyle="bold"-->
                <!--                        android:layout_weight="1"/>-->


                <!--                    <EditText-->
                <!--                        android:id="@+id/required_width"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->
                <!--                    <EditText-->
                <!--                        android:id="@+id/actual_width"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->

                <!--                    <EditText-->
                <!--                        android:id="@+id/difference_width"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->

                <!--                </LinearLayout>-->

                <!--                <LinearLayout-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:layout_margin="16dp"-->
                <!--                    android:orientation="horizontal">-->

                <!--                    <TextView-->
                <!--                        android:id="@+id/drop"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:text="Drop"-->
                <!--                        android:textColor="@color/black"-->
                <!--                        android:textStyle="bold"-->
                <!--                        android:layout_weight="1"/>-->


                <!--                    <EditText-->
                <!--                        android:id="@+id/required_drop"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->
                <!--                    <EditText-->
                <!--                        android:id="@+id/actual_drop"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->

                <!--                    <EditText-->
                <!--                        android:id="@+id/difference_drop"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_weight="1"-->
                <!--                        />-->

                <!--                </LinearLayout>-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="6dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginBottom="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="vertical"
                    android:paddingTop="5dp"
                    android:paddingBottom="5dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="11dp"
                        android:orientation="horizontal"
                        android:padding="5dp"
                        android:weightSum="3">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Hand Feel Not OK"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Hand Feel OK"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Hand Feel Not OK %"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="16dp"
                        android:orientation="horizontal"
                        android:paddingBottom="5dp"
                        android:weightSum="3">

                        <EditText
                            android:id="@+id/et_hand_feel_not_ok"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:hint="Hand Feel Not OK"
                            android:textSize="15sp"
                            android:imeOptions="actionDone"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_hand_feel_ok"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:enabled="false"
                            android:textSize="15sp"
                            android:hint="Hand Feel OK"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_not_ok_percent"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:enabled="false"
                            android:hint="Not OK %"
                            android:textSize="15sp"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="vertical"
                    android:paddingLeft="10dp"
                    android:paddingTop="5dp"
                    android:paddingRight="10dp"
                    android:paddingBottom="5dp">

                    <!-- Text Label -->

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentStart="true"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="5dp"
                        android:text="Status"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="10dp">

                        <!--<TextView
                            android:id="@+id/result_status"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.8"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            android:hint="Result Status" />-->
                        <Spinner
                            android:id="@+id/result_spinner"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.6"
                            android:prompt="@string/spinner_title" />

                        <TextView
                            android:id="@+id/major_count"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Major"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/minor_count"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Minor"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/critical_count"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Critical"
                            android:textSize="16sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="5dp"
                        android:text="Acceptance Criteria"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:paddingLeft="3dp"
                        android:paddingTop="5dp"
                        android:paddingBottom="10dp"
                        android:weightSum="3">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.6"
                            android:hint="Accept/Reject"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/txt_major"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.65"
                            android:text="Major"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/txt_minor"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="Minor"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="horizontal"
                    android:padding="5dp"
                    android:weightSum="3">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="10dp"
                            android:text="Quality Auditor"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/et_quality_auditor"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:hint="Quality Auditor"
                            android:inputType="text"
                            android:maxLines="1" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="10dp"
                            android:text="Production Representative"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/et_prod_represent"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:hint="Production Representative"
                            android:inputType="text"
                            android:maxLines="1" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="10dp"
                            android:text="QC Representative"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/et_qc_represent"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:hint="QC Representative"
                            android:inputType="text"
                            android:maxLines="1" />

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="horizontal"
                    android:padding="5dp"
                    android:weightSum="1">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.35"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:text="General Remarks"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/general_remarks"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:hint="General Remarks"
                            android:imeOptions="actionNext"
                            android:inputType="text" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.3"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:text="Floor"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/et_floor"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:hint="Floor"
                            android:imeOptions="actionDone"
                            android:inputType="text" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.35"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:text="Section"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <Spinner
                            android:id="@+id/section_spinner"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_marginTop="10dp"
                            android:prompt="@string/section_title" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="5dp"
                        android:layout_marginBottom="5dp"
                        android:layout_weight="1"
                        android:text="Vocs"
                        android:textColor="@color/black"
                        android:textSize="18sp"
                        android:textStyle="bold" />
                    <!--                    <Spinner-->
                    <!--                        android:id="@+id/result_spinner"-->
                    <!--                        android:layout_width="wrap_content"-->
                    <!--                        android:layout_height="wrap_content"-->
                    <!--                        android:layout_weight="1"-->
                    <!--                        >-->
                    <!--                    </Spinner>-->
                </LinearLayout>


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/voc_recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="5dp">

                </androidx.recyclerview.widget.RecyclerView>

            </LinearLayout>

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <RelativeLayout
        android:id="@+id/relativeLayout"
        android:layout_width="805dp"
        android:layout_height="80dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="1.0">

        <Button
            android:id="@+id/button_right_frag_3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:backgroundTint="@color/light_blue"
            android:text="Submit" />

        <Button
            android:id="@+id/button_draft_third"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:layout_toStartOf="@+id/button_right_frag_3"
            android:text="Draft" />

        <Button
            android:id="@+id/button_left_frag_3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@id/button_draft_third"
            android:layout_marginEnd="16dp"
            android:layout_toStartOf="@id/button_draft_third"
            android:text="Back" />

        <Button
            android:id="@+id/button_open_dimension"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@id/button_left_frag_3"
            android:layout_marginEnd="16dp"
            android:layout_toStartOf="@id/button_left_frag_3"
            android:text="Add Dimensions" />

    </RelativeLayout>
</androidx.constraintlayout.widget.ConstraintLayout>